## org.apache.log4j.pattern
Class PropertiesPatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.PropertiesPatternConverter

    public final class PropertiesPatternConverter

extends LoggingEventPatternConverter

Able to handle the contents of the LoggingEvent's Property bundle and either output the entire contents of the properties in a similar format to the java.util.Hashtable.toString(), or to output the value of a specific key within the property bundle when this pattern converter has the option set.

Author:
  Paul Smith, Ceki Gülcü

Method Summary
`void` `format(LoggingEvent event, StringBuffer toAppendTo)` Formats an event into a string buffer.
`static PropertiesPatternConverter` `newInstance(String[] options)` Obtains an instance of PropertiesPatternConverter.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static PropertiesPatternConverter newInstance(String[] options)

  Obtains an instance of PropertiesPatternConverter.

  Parameters:
    `options` - options, may be null or first element contains name of property to format.
  Returns:
    instance of PropertiesPatternConverter.

### format

    public void format(LoggingEvent event,
                       StringBuffer toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.